Glib::Value< Glib::ustring > Class Template Reference
Generic Values

Specialization for UTF-8 strings. More...

`#include <glibmm/value.h>`

Inheritance diagram for Glib::Value< Glib::ustring >:
[legend]

## Public Types

typedef Glib::ustring | CppType
Public Types inherited from Glib::ValueBase_String
typedef const gchar* | CType

## Public Member Functions

void | set (const Glib::ustring& data)
Glib::ustring | get () const

## Additional Inherited Members

Static Public Member Functions inherited from Glib::ValueBase_String
static GType | value_type ()
Protected Member Functions inherited from Glib::ValueBase_String
void | set_cstring (const char* data)
const char* | get_cstring () const
Protected Attributes inherited from Glib::ValueBase
GValue | gobject_

## Detailed Description

### template<>
class Glib::Value< Glib::ustring >

Specialization for UTF-8 strings.

## Member Typedef Documentation

typedef Glib::ustring Glib::Value< Glib::ustring >::CppType

## Member Function Documentation

Glib::ustring Glib::Value< Glib::ustring >::get | ( |  | ) | const

inline

void Glib::Value< Glib::ustring >::set | ( | const Glib::ustring& | data | ) |